Get Booking Details by Booking Number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve the details of a Booking based on its unique booking number.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/booking/{booking_id}

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following details:

  • Booking Number
  • Booking Status

Request Parameters

To fetch a shipment, provide the required field, which is the "Booking number" {booking_no}.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/booking/{booking_id}

Response

{
  "booking_no": "Demo Booking",
  "order_status": "Created"
}

This example demonstrates a request to fetch the booking details with the provided booking number. The response includes details such as the booking number, and booking status.

Path Params
string
required
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json